using System;
using System.Diagnostics;
using TheGameExtreme.model.card;
using TheGameExtreme.model.card.cardType;

namespace TheGameExtreme.model.deck
{
    public class ClassicDeck : Deck
    {
        public ClassicDeck(int nbCard, int borneMin, int borneMax) : base(nbCard)
        {
            Random random = new Random();
            while (deck.Count < nbCard && deck.Count < (borneMax - borneMin))
            {
                int value = random.Next(borneMin, borneMax);
                InsertionDichotomique(deck, 0, deck.Count-1, new ClassicCard(value));
            }
        }
    }
}
